The tag has no wiki summary.

learn more… | top users | synonyms

5
votes
1answer
761 views

libdb4.8++ is no longer available

I'm trying to use QT-Creator to build a program and I get the message that libdb4.8++ is needed and is not available. I've tried to use libdb5.1 and libdb4.8 but it still asks for libdb4.8++ I'm ...
2
votes
1answer
899 views

BasiliskII in12.04

I'm trying to install Basilisk2 on 12.04. I converted the rpm from http://basilisk.cebix.net/#download to deb. Running it, however, gives me: BasiliskII: error while loading shared libraries: ...
2
votes
1answer
252 views

How to install gluezilla-dev?

gluezilla was removed from latest Ubuntu repository for some silly reason. This library is necessary for mono web libraries to work properly (without gluezilla the web browser component doesn't work). ...
1
vote
1answer
525 views

X11 Development Libraries

I am new to ubuntu, I am using ubuntu 13.10, and trying to install NS-2. During the installation I am facing the following error; X11/Xlib.h: No such file or directory Then i tried to install ...
2
votes
0answers
322 views

Undefined reference to `memcpy@GLIBC_2.14' : Building Android SDK with SmartCard API support:

I am trying to build Android emulator with SmartCard API support. I was following this manuals: one two All steps passed ok, but when I run: PCSC_INCPATH=<path_to_pcsc-lite_32bit>/src/PCSC/ ...
2
votes
0answers
298 views

Pkg-config missing many pc files

I have been trying to compile gargoyle and keep getting the fallowing error. Package fontconfig was not found in the pkg-config search path. Perhaps you should add the directory containing ...
2
votes
0answers
301 views

ldconfig: Path `/lib/x86_64-linux-gnu' given more than once

I'm running 12.10. I'm trying to run an application that needs libglut.so.3. I installed freeglut3 and I can see the library located in /usr/lib/x86_64-linux-gnu. But when I run the application, it ...
2
votes
0answers
222 views

Library search paths

This question originally started in an apparent problem in Cups calling various back-ends and using non-standard library search paths. If I want to change a library search path for a app running in a ...
2
votes
0answers
164 views

dun goofed the files in /usr/lib/x86_64-linux-gnu/

there was some weird package issue with (in my limited understanding) 32/64 bit libraries, so i went around making symlinks to the file my lamp installation expected to the ones that actually existed. ...
2
votes
0answers
106 views

VMware Library Not Saving

I installed vmware player yesterday into Ubuntu 12.04. It is VMware Player 5.0.0. on top of Ubuntu 12.04. My problem is the fact the library refuses to save upon reboot. I start a fresh library upon ...
1
vote
0answers
70 views

Installation of i386 Deb(Hangul 2008) into AMD64 architecture; dpkg/library error - 2

This question is 2nd question following previous one posted but regarding installing 32bit library on 64AMD system of 13.10 From the first question, as Avinash Raj told I finished installing deb ...
1
vote
0answers
64 views

libwebkitgtk cannot find libGL even though it exists

I have a problem with libwebkitgtk-3.0 The problem is that software-center crashes on startup. The problem is that libwebkitgtk cannot find libGL. When I run ldd /usr/lib/libwebkitgtk-3.0.so ...
1
vote
0answers
717 views

gcc problem -> stdio.h not found

I have to compile one programme. theoretically i need just to change the two path... can you help me? Makefile # Original #CC=arm-1136jf_s_r1_vfp_hard_float-linux-gnueabi-gcc #CFLAGS= -O3 ...
1
vote
0answers
176 views

blender does not start after kernel update despite reinstall

Hi I recently updated my ubuntu 12.04.3 installation with the new kernel 3.8.0.30 After that blender did not start any more with the message that: /usr/lib/blender/blender: error while loading shared ...
1
vote
0answers
144 views

How do I install libXfixes.so.3 in Ubuntu 13.04 64bit?

A program reports this error: Error libXfixes.so.3: cannot open shared object file How can I resolve this? Thanks!
1
vote
0answers
280 views

Unable to install libc6 specific dependencies

I am unable to install libc6 specific dependencies in Ubuntu 11.10. sudo apt-get -f install Reading package lists... Done Building dependency tree Reading state information... Done Correcting ...
1
vote
0answers
4k views

Ubuntu 12.10 64bit no /usr/lib32/?

I am currently trying to setup wine properly in Ubuntu 12.10. The error that I am trying to fix is: p11-kit: couldn't load module: /usr/lib/i386-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: ...
1
vote
0answers
128 views

Is it safe to install libmenu-cache2 in Lubuntu 12.10 and 12.04?

Newer versions of LXPanel ask for libmenu-cache2 (see this answer). I cannot tell exactly which version started asking for it, but I think it is 0.5.11 (see this). I was able to find libmenu-cache2 ...
0
votes
0answers
16 views

What are the issues of having KDE libs with Gnome and vica versa

I'm a KDE user with one or two of Gnome applications, notably Tomboy Notes. So far I've not experienced any actual issues that I could pin point to being caused by having Gnome libs on my KDE based ...
0
votes
0answers
17 views

Import libraries in Ubuntu SDK

I am very new to QML, Qt and the like. I want to add a library (e.g. http://sourceforge.net/p/qzxing/wiki/Home/) for a "Ubuntu -> Simple UI" project. However, I cannot figure out how. The instructions ...
0
votes
0answers
128 views

error while loading shared libraries: libmwlaunchermain.so: cannot open shared object file: No such file or directory

I am running MutSig command, its output: Setting up environment variables LD_LIBRARY_PATH is ...
0
votes
0answers
28 views

I am trying to uninstall a version of PCRE, but doing so prompts the deletion of >1GB of files

I just installed Ubuntu, and I'm trying to get all the dependencies for wxwidgets, which depends on glib, which suggests a build of pcre version 8.13 or greater. I had used sudo apt-get libpcre3 ...
0
votes
0answers
106 views

“/usr/bin/ld: cannot find -lboost_python-mt" installing pycuda 2011.2.2

Trying to install PyCuda I followed these instructions as I ran into that problem but unfortunately I am still getting the error: c++ -pthread -shared -Wl,-Bsymbolic-functions ...
0
votes
0answers
19 views

what's the difference between lib32stdc++6 and libstdc++6 (i386)

As far as I know they both implement the same stuff. Is the lib32stdc++6 kind of emulated version of (i386) for 64 bit Linux?
0
votes
0answers
13 views

compiling with yacc library liby.a

I hope that if someone has this library in dynamic, you might not have the problem. This library on other Unixes use fprintf. I installed bison and it calls yyerror and back at square one again. The ...
0
votes
0answers
39 views

ldconfig ignores some files under /usr/local/lib/

When trying to start a certain program, I got the following error message: error while loading shared libraries: foo.so.0: cannot open shared object file: No such file or directory Therefore I ...
0
votes
0answers
32 views

apt-get: you have held broken packages

Everything was working normally, but now libstdc++ seems to be broken. So I try to reinstall it. Things like: sudo apt-get remove stdc++ sudo apt-get autoclean sudo apt-get -f install sudo apt-get -u ...
0
votes
0answers
62 views

Compiling CBLAS undefined reference to `pthread_create' pthread_join'

I am compiling CBLAS using 'make all' command but it's giving me following error. gfortran -o xscblat1 c_sblat1.o c_sblas1.o ../lib/cblas_LINUX.a /usr/lib/libblas.a ...
0
votes
0answers
12 views

qt-x11-free on ubuntu 12.10

does any one now how to install qt-x11-free library on ubuntu 12.10, I coudn't find the ppa file and neither the description of where to unzip the tar.gz package files that I found on launchpad ...
0
votes
0answers
120 views

errors while Installing cmake on ubuntu 12.10

while installing cmake i am getting errors... Could NOT find BZip2 (missing: BZIP2_LIBRARIES BZIP2_INCLUDE_DIR) -- Could NOT find LibArchive (missing: LibArchive_LIBRARY LibArchive_INCLUDE_DIR) ...
0
votes
0answers
13 views

-lintl missing while building SESC utils

I am getting an error of cannot find -lintl while building the build-1-binutils with gcc 3.4.5 during installation of sesc utils on ubuntu (12.04). can anyone help me plz?
0
votes
0answers
164 views

Open Spades make problem

I'm trying to compile a game called Open Spades, but when I run "make install" or "make" it gives me this error. [ 73%] Built target Angelscript_addons [ 73%] Built target Angelscript [ 73%] Built ...
0
votes
0answers
25 views

file not recognised error when making library

Firstly I hope this is the correct stackexchange for this question. If not I'm happy to take it elsewhere. I'm trying to build a library called CBFlib. I enter the following commands into the terminal ...
0
votes
0answers
19 views

libnm-glib4:386 with amd64

I have ubuntu 13.10 amd64 and I use libnm-glib4 but I also need i386 version of this lib. But amd64 version conflicts with i386 so I can't install it: sudo aptitude install libnm-glib4:i386 The ...
0
votes
0answers
142 views

apt locked by corrupt library package in ubuntu 13.10

I have tried a little hacky way to solve my question by downloading some Debian library file directly from lunchpad. And after that my apt is locked and I can't move forward. I have tried, sudo ...
0
votes
0answers
117 views

ld error while linking to SDL2

i'm struggling in the attept to compile c++ with SDL2. I've done as always: checkout the code (both from mercurial and libsdl.org) ./configure, make, sudo make install But it keeps to say: ...
0
votes
0answers
112 views

Create GLFW projects in codeblocks on ubuntu 13.04

Since a couple of days I am trying to install or add the glfw library to codeblocks but without success. Has anyone tried this before or knows how to do it? Any help would be greatly appreciated.
0
votes
0answers
34 views

Installation lock package

I'm trying to install a package (ccny_rgbd) so I can run my ccny_rgbd_tools on ROS, because I've been having problems with the nodelets in this package and was suggested that i would install and ...
0
votes
0answers
139 views

V4l error with Skype webcam

I need to use v4l1compat.so with Skype. This used to work, but now running this: LD_PRELOAD=/usr/lib/i386-linux-gnu/libv4l/v4l1compat.so /usr/bin/skype produces this: ERROR: ld.so: object ...
0
votes
0answers
108 views

Ubuntu Darling - dyld: Failed to load native library: libSimpleWebKit.so

I'm attempting to use Darling directly built from source on Github, I ran in to a few issues with building and dependencies, but with the help of apt-file I got through all the little problems. Now, ...
0
votes
0answers
49 views

Crash on Ubuntu 12.10 due to libX11 and libXext

I tried to launch an application (The World of Goo) and I got an error message saying that it had closed unexpectedly and later I got the following message The crashed program seems to use ...
0
votes
0answers
23 views

Include folder in library

I've done some searching and everything I find points me to media servers. In windows you can include a folder on an external hard drive in your "my music" library. How is this done in Ubuntu? This ...
0
votes
0answers
35 views

MariaDB - Headers vs Library mismatch

I know what it is. I've searched forums and sites to death. Can someone please advise how one updates the headers to match the MariaDB 10.0.3 libraries??? Thanks
0
votes
0answers
244 views

Using a Java library installed with apt-get in Ubuntu 12.04?

I've installed the Java bindings for GTK and Gnome running the command they gave on their site: sudo apt-get install libjava-gnome-java And the package seems to be installed correctly but I can't ...
0
votes
0answers
100 views

Error compiling CUDA deviceQuery

the problem is /usr/bin/ld: error: cannot find -lcuda but the remainder seems to be fine, for example if I give nvcc -V I get nvcc: NVIDIA (R) Cuda compiler driver Copyright (c) 2005-2012 NVIDIA ...
0
votes
0answers
18 views

include “ot/io/BufferedReader.h”

I am trying to use buffer reader in my cpp code but when I include the library it gives me an error as in no such file or directory.... it works fine in windows. I know that I need to install a ...
0
votes
0answers
426 views

Still got error with “libipq.h” even after installing iptables-dev package

On Ubuntu 13.04, I was installing a software needed library libipq.h. I found that this library is under package iptables-dev. Even after installing this package, I got the following error: fatal ...
0
votes
0answers
86 views

Loading different OpenGL libs depending on active graphics card - possible?

I've got a laptop with two graphics cards - integrated graphics card (on i5-430M processor) and Radeon 5730. I sometimes switch from the integrated card (which is not that energy-consuming) to Radeon ...
0
votes
0answers
73 views

Which component has a bug which causes only some TGA files to have working thumbnails in Nautilus, Eye-of-Gnome and Grub Customizer?

How to reproduce: install 12.04 sudo apt-get install grub2-splashimages navigate Nautilus to /usr/share/images/grub2 observe that only two of the TGA files have thumbnails. install Grub Customizer ...
0
votes
0answers
73 views

C++ -dev Libraries not insalling

Whenever I try to install a C++ library, ending with "-dev" I get an unmet dependecies alert that won't let me install the library, and the dependency is always already installed, the same thing ...